/* 自定义样式 */

body {
    background-color: #ffffff;
}

:root {
  --defaults: #0669F7;
  --beauty: #fe003b;
  --education: #FE7200;
  --hot: #eb110a;
  --health: #046010;
  --wealth: #0669F7;
  --manufacture: #08b1b1;
  --pageination-color: #0669F7;
} 

* {
    font-family: -apple-system,BlinkMacSystemFont,"Helvetica Neue","PingFang SC","Microsoft YaHei","Source Han Sans SC","Noto Sans CJK SC","WenQuanYi Micro Hei","MiSans L3",sans-serif;
}
.article img, article img{ max-width: calc(100% - 20px); }
.logo {
  max-height: 50px;
}

a, a:hover, a:focus, a:active {
    text-decoration: none;
    color: var(--defaults);
}   

h2 {
    border-width: 3px !important;
}

.card-img-container {
    position: relative;
}

/*默认：#0669F7*/
.defaults {
  color: var(--defaults);
}

.bg-defaults {
  background-color: var(--defaults);
  color: #ffffff;
}

.border-line-defaults {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-defaults::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--red-defaults, 100px);
  height: 3px;
  background: var(--defaults);
}

/* 下划线 */
.border-line-defaults::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-defaults {
    background-color: var(--defaults);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-defaults, .arrow-up-defaults:hover, .arrow-up-defaults:focus {
  background-color: var(--defaults);
  color: #ffffff;
}

/*美容：#fe003b*/
.beauty, .nav-item:nth-child(1) a.nav-link {
    color: var(--beauty);
}

.bg-beauty {
    background-color: var(--beauty);
    color: #ffffff;
}

.border-line-beauty {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-beauty::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--beauty-width, 100px);
  height: 3px;
  background: var(--beauty);
}

/* 下划线 */
.border-line-beauty::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-beauty {
    background-color: var(--beauty);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-beauty, .arrow-up-beauty:hover, .arrow-up-beauty:focus {
  background-color: var(--beauty);
  color: #ffffff;
}

/*财富：#0669F7*/
.wealth, .nav-item:nth-child(4) a.nav-link {
  color: var(--wealth);
}

.bg-wealth {
  background-color: var(--wealth);
  color: #ffffff;
}

.border-line-wealth {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-wealth::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--wealth-width, 100px);
  height: 3px;
  background: var(--wealth);
}

/* 下划线 */
.border-line-wealth::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-wealth {
    background-color: var(--wealth);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-wealth, .arrow-up-wealth:hover, .arrow-up-wealth:focus {
  background-color: var(--wealth);
  color: #ffffff;
}

/*制造：#08b1b1*/
.manufacture, .nav-item:nth-child(5) a.nav-link {
  color: var(--manufacture);
}

.bg-manufacture {
  background-color: var(--manufacture);
  color: #ffffff;
}

.border-line-manufacture {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-manufacture::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--manufacture-width, 100px);
  height: 3px;
  background: var(--manufacture);
}

/* 下划线 */
.border-line-manufacture::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-manufacture {
    background-color: var(--manufacture);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-manufacture, .arrow-up-manufacture:hover, .arrow-up-manufacture:focus {
  background-color: var(--manufacture);
  color: #ffffff;
}

/*医健：#046010*/
.health, .nav-item:nth-child(2) a.nav-link {
  color: var(--health);
}

.bg-health {
  background-color: var(--health);
  color: #ffffff;
}

.border-line-health {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-health::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--health-width, 100px);
  height: 3px;
  background: var(--health);
}

/* 下划线 */
.border-line-health::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-health {
    background-color: var(--health);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-health, .arrow-up-health:hover, .arrow-up-health:focus {
  background-color: var(--health);
  color: #ffffff;
}

/*教育：#FE7200*/
.education, .nav-item:nth-child(3) a.nav-link {
  color: var(--education);
}

.bg-education {
  background-color: var(--education);
  color: #ffffff;
}

.border-line-education {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-education::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--education-width, 100px);
  height: 3px;
  background: var(--education);
}

/* 下划线 */
.border-line-education::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-education {
    background-color: var(--education);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-education, .arrow-up-education:hover, .arrow-up-education:focus {
  background-color: var(--education);
  color: #ffffff;
}

/*热话：#eb110a*/
.hot, .nav-item:nth-child(6) a.nav-link {
  color: var(--hot);
}

.bg-hot {
  background-color: var(--hot);
  color: #ffffff;
}

.border-line-hot {
  width: 100%;
  display: flex;
  align-items: center;
  gap: 0.2rem; /* 调整图标和标题间距 */
  padding-bottom: 5px; /* 下划线距离文字的距离 */
  position: relative;
}

/* 下划线 */
.border-line-hot::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: var(--hot-width, 100px);
  height: 3px;
  background: var(--hot);
}

/* 下划线 */
.border-line-hot::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 3px;
  background: #dee2e6;
  z-index: -1; /* 确保黑色部分在红色部分下方 */
}

.card-badge-hot {
    background-color: var(--hot);
    position: absolute;
    top: 0px;
    left: 0px;
}

.arrow-up-hot, .arrow-up-hot:hover, .arrow-up-hot:focus {
  background-color: var(--hot);
  color: #ffffff;
}

.icon-size {
  width: 24px;
  height: 24px;
}

.icon-size i {
  font-size: 12px;
}

.breadcrumb-item + .breadcrumb-item::before {
  content: "»"; /* 使用双箭头符号 */
}

/* 分頁 */
.pagination .page-link, .pagination .page-link:hover, .pagination .page-item.active .page-link, .pagination .page-item.disabled .page-link {
  color: #fff;
  border-color: #fff;
}

/* 修改所有分页项的基础样式 */
.pagination .page-link {
  background-color: var(--pageination-color);
}

/* 悬停状态 */
.pagination .page-link:hover {
	font-weight: bold;
}

/* 当前激活项 */
.pagination .page-item.active .page-link {
  font-weight: bold;
}

/* 禁用状态 */
.pagination .page-item.disabled .page-link {
  background-color: var(--pageination-color);
}

article p {
  text-indent: 2em;
  margin-bottom: 1em;
  margin-top: 1em;
  line-height: 1.8;
}